using System;

namespace InABox.Mobile
{
    public class MobileMenuItem : MobileMenuEntry
    {
        
        public override MobileMenuEntryType Type => MobileMenuEntryType.Item;
        
        public event EventHandler Clicked;

        

        public void DoClicked()
        {
            Clicked?.Invoke(this, EventArgs.Empty);
            AfterClick?.Invoke();
        }

        public MobileMenuItem()
        {
            IsVisible = true;
        }
    }
}